Skip to main content
GET
Get Tenant

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenant
string
required

The domain of the customer

Example:

"example.com"

Response

Successful Response

id
string | null

The id of the tenant. Readonly field.

authorized_group
string<email> | null

If specified only members of this group can access the tenant

indexing_daily_quota
integer | null

The daily spending quota on indexing in dollars

chat_daily_quota
integer | null

The daily spending quota on chat with the assistant in dollars

document_count_quota
integer | null

The maximum number of documents allowed across all configured libraries.

document_count
integer | null

The current number of documents across all configured libraries. Readonly field.

primary_llm_provider
enum<string>
default:OpenAI

The primary LLM provider of the tenant.

Available options:
OpenAI,
Google,
Altirnao,
MistralAI,
Anthropic
google_config
ApiGoogleConfig · object | null

Google provider configuration

openai_config
ApiOpenAIConfig · object | null

OpenAI configuration

mistralai_config
ApiMistralAIConfig · object | null

MistralAI configuration

anthropic_config
ApiAnthropicConfig · object | null

Anthropic configuration

trial
boolean | null

Indicating trial mode. Readonly field.

trial_available
boolean | null
default:false

Indicating if the trial is available. Readonly field.

paid_plan
boolean | null
default:false

Indicating if the tenant is on a paid plan. Readonly field.

paid_by
enum<string> | null

Who pays for the llm calls

Available options:
altirnao,
customer
trial_end
string<date-time> | null

The end date of the trial. Readonly field.

library_count
integer | null

The number of libraries in the tenant. Readonly field.

maximum_library_count
integer | null

The maximum number of libraries allowed in the tenant. Readonly field.

capabilities
ApiTenantCapability · object[]

List of tenant capabilities. Readonly field.

default_library_capabilities
ApiLibraryCapability · object[] | null

Default capabilities for newly created libraries. Libraries using defaults will dynamically follow these.

super_admin_email
string | null

Super admin email used for AODocs API calls that require domain-wide access, such as listing all libraries.

assistant_name
string | null

Name displayed by the UI and used by the assistant to refer to itself.

Maximum string length: 80
default_agent_id
string | null

Default agent ID used when no agent is specified in a chat request.

knowledge_base
ApiKnowledgeBase · object | null

Per-tenant support knowledge base configuration. When set, the support flow answers questions from the configured library in this tenant instead of the shared environment-level knowledge base.